from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XValueBinding(XInterface, Protocol):
    def getSupportedValueTypes(self) -> list[type]: ...
    def supportsType(self, aType: type) -> bool: ...
